--
-- Move Mount Trigger
-- Mount Trigger bewegen
--
-- @author  Aranea
-- @date  19/11/2016
--
-- Copyright (C) Aranea, All Rights Reserved.
--
-- v1.0 basic
--

MoveMountTrigger = {};

function MoveMountTrigger.prerequisitesPresent(specializations)
    return SpecializationUtil.hasSpecialization(DynamicMountAttacher, specializations);
end;

function MoveMountTrigger:load(savegame)
	self.triggerNode = Utils.indexToObject(self.components, getXMLString(self.xmlFile, "vehicle.dynamicMountAttacher#triggerNode"));
	self.triggerMoved = false;
end;

function MoveMountTrigger:postLoad(savegame)
	self.triggerPosX, self.triggerPosY, self.triggerPosZ = getTranslation(self.triggerNode);
end;

function MoveMountTrigger:delete()
end;

function MoveMountTrigger:readStream(streamId, connection)
end;

function MoveMountTrigger:writeStream(streamId, connection)
end

function MoveMountTrigger:mouseEvent(posX, posY, isDown, isUp, button)
end;

function MoveMountTrigger:keyEvent(unicode, sym, modifier, isDown)
end;

function MoveMountTrigger:update(dt)
	if self:getIsActiveForInput() then
		if self.triggerNode ~= nil then
			 if InputBinding.hasEvent(InputBinding.IMPLEMENT_EXTRA3) then
				if self.triggerMoved then
					setTranslation(self.triggerNode, self.triggerPosX, self.triggerPosY, self.triggerPosZ);
					self.triggerMoved = false;
				else
					setTranslation(self.triggerNode, self.triggerPosX, self.triggerPosY + 6, self.triggerPosZ);
					self.triggerMoved = true;
				end;
			end;
		end;
	end;
end;

function MoveMountTrigger:updateTick(dt)
end;

function MoveMountTrigger:draw()
	if self:getIsActiveForInput(true) then
		if self.triggerNode ~= nil then
			if self.triggerMoved then
				g_currentMission:addHelpButtonText(g_i18n:getText("action_moveMountTrigger1"), InputBinding.IMPLEMENT_EXTRA3, nil, GS_PRIO_NORMAL);
			else
				g_currentMission:addHelpButtonText(g_i18n:getText("action_moveMountTrigger2"), InputBinding.IMPLEMENT_EXTRA3, nil, GS_PRIO_NORMAL);
			end;
		end;
	end;
end;
